
function toggleNotice() {
	var notice = document.getElementById('centralNotice');
	if (!wgNoticeToggleState) {
		notice.className = notice.className.replace('collapsed', 'expanded');
		toggleNoticeCookie('0');
	} else {
		notice.className = notice.className.replace('expanded', 'collapsed');
		toggleNoticeCookie('1');
	}
	wgNoticeToggleState = !wgNoticeToggleState;
}
function toggleNoticeStyle(elems, display) {
	if(elems)
		for(var i=0;i<elems.length;i++)
			elems[i].style.display = display;
}
function toggleNoticeCookie(state) {
	var e = new Date();
	e.setTime( e.getTime() + (7*24*60*60*1000) ); // one week
	var work='hidesnmessage='+state+'; expires=' + e.toGMTString() + '; path=/';
	document.cookie = work;
}
function pickTemplate(templates, weights) {
	var weightedTemplates = new Array();
	var currentTemplate = 0;
	var totalWeight = 0;

	if (templates.length == 0)
		return '';

	while (currentTemplate < templates.length) {
		totalWeight += weights[currentTemplate];
		for (i=0; i<weights[currentTemplate]; i++) {
			weightedTemplates[weightedTemplates.length] = templates[currentTemplate];
		}
		currentTemplate++;
	}
	
	if (totalWeight == 0)
		return '';

	var randomnumber=Math.floor(Math.random()*totalWeight);
	return weightedTemplates[randomnumber];
}


var wgNoticeToggleState = (document.cookie.indexOf('hidesnmessage=1')==-1);
document.writeln("\x3cstyle type=\"text/css\"\x3e\n#centralNotice .siteNoticeSmall{display:none;}\n#centralNotice .siteNoticeSmallAnon{display:none;}\n#centralNotice .siteNoticeSmallUser{display:none;}\n#centralNotice.collapsed .siteNoticeBig{display:none;}\n#centralNotice.collapsed .siteNoticeSmall{display:block;}\n#centralNotice.collapsed .siteNoticeSmallUser{display:block;}\n#centralNotice.collapsed .siteNoticeSmallAnon{display:block;}\n#centralNotice.anonnotice .siteNoticeSmallUser{display:none !important;}\n#centralNotice.usernotice .siteNoticeSmallAnon{display:none !important;}\n\x3c/style\x3e");

wgNotice=pickTemplate(["\x3cstyle type=\"text/css\"\x3e\n/* Styles for Notices */\n.notice-all a {\n text-decoration: none;\n}\n.notice-all a:hover {\n text-decoration: underline;\n}\n.notice-all a:hover table tr td #no-link-underline {\n text-decoration: none;\n}\na.notice-all table {\n text-decoration: none;\n color: #6e98c2;\n}\n.notice-all a:hover table tr td {\n text-decoration: underline;\n}\n.notice-all a:hover table tr td #use-underline {\n text-decoration: underline;\n}\n.notice-all a:hover #no-link-underline {\n text-decoration: none;\n}\n.text-one-line {\n font-size: 3.08em;\n font-weight: bold;\n}\ndiv.grayBorder {\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n font-family: helvetica, impact, sans-serif;\n overflow: hidden;\n}\n.nobr {\n white-space: nowrap;\n}\nimg.notice-all {\n border-style: none;\n}\n#center-logo\n{\n padding: 0 20px;\n background-color: #fbfbfb;\n margin-bottom: 10px;\n}\n.notice-wrapper {\n position: relative;\n width: 100%;\n height: 100px;\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n font-family: helvetica, impact, sans-serif;\n overflow: hidden;\n}\n.toggle-box {\n float: right;\n font-size: 0.6em;\n}\n.blue-text {\n font-weight: bold;\n font-family: helvetica, impact, sans-serif;\n background-color: #fbfbfb;\n color: #6e98c2;\n text-align: left;\n margin:auto;\n width:100%;\n}\n/* Notice 2 and up */\n.notice-collapsed-wrapper {\n position: relative;\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n padding: 1px 20px;\n font-family: helvetica, impact, sans-serif;\n color: #6e98c2;\n}\n.notice-collapsed-wrapper img {\n padding: 0 5px;\n margin-bottom: -1px;\n}\n.collapsed-text {\n margin-left: 10px;\n font-size: 0.7em;\n font-weight: normal;\n font-family: helvetica, impact, sans-serif;\n color: #333;\n}\n#small-links {\n float: right;\n margin-top: -25px;\n margin-right: 30px;\n font-family: helvetica, impact, sans-serif;\n font-size: 0.7em;\n}\n#small-links2\n{\n position: absolute;\n bottom: 16px; right: 32px;\n font-size: 0.7em;\n}\n.quote-text { }\n.quote-data {\n font-size: .8em;\n color: black;\n font-weight: normal;\n}\n.center1 {\n font-weight: bold;\n color: #6e98c2;\n vertical-align: middle;\n}\n.meter-text {\n color: black;\n}\n.lines-1 {\n font-size: 2.25em;\n}\n.lines-2 {\n font-size: 1.85em;\n}\n.lines-3 {\n font-size: 1.52em;\n} \n\x3c/style\x3e\n\x3cdiv class=\"notice-all siteNoticeBig notice-wrapper\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice();return false\"\x3eHide\x3c/a\x3e] \n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia/en?utm_source=2009_Notice1\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable class=\"blue-text\" style=\"height:100px;font-size:3.08em;\"\x3e\n   \x3ctr\x3e\n    \x3ctd valign=\"middle\" align=\"center\"\x3e\n     \x3cdiv id=\"forever\"\x3eWIKIPEDIA \x3cimg id=\"center-logo\" src=\"http://upload.wikimedia.org/wikipedia/commons/b/b9/63px-Wikipedia-logo.png\" alt=\"\" border=\"0\"\x3e FOREVER\x3c/div\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e\n\x3cdiv class=\"notice-all siteNoticeSmallAnon notice-collapsed-wrapper\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice()\"\x3eShow\x3c/a\x3e]\n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia/en?utm_source=2009_Notice1_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable cellpadding=\"0\" cellspacing=\"0\" height=\"100%\" valign=\"middle\"\x3e\n   \x3ctr\x3e\n    \x3ctd  valign=\"middle\" align=\"center\" style=\"padding:0;margin:0;\"\x3e\n     \x3cspan style=\"font-size:0.7em;font-weight: bold;\"\x3e\x3c/html\x3eWIKIPEDIA \x3chtml\x3e\x3cimg src=\"http://upload.wikimedia.org/wikipedia/commons/7/78/Wikipedia-logo-small.png\" alt=\"\"\x3e\x3c/html\x3e FOREVER\x3chtml\x3e\x3c/span\x3e\n     \x3cspan class=\"collapsed-text\"\x3e\x3c/html\x3eOur shared knowledge. Our shared treasure.\x3chtml\x3e \x3ca href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia/en?utm_source=2009_Notice1_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\x3c/html\x3eHelp us protect it.\x3chtml\x3e\x3c/a\x3e\x3c/span\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e\n\x3cdiv class=\"notice-all siteNoticeSmallUser\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice()\"\x3eShow\x3c/a\x3e]\n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia/en?utm_source=2009_Notice1_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable cellpadding=\"0\" cellspacing=\"0\" height=\"100%\" valign=\"middle\"\x3e\n   \x3ctr\x3e\n    \x3ctd  valign=\"middle\" align=\"center\" style=\"padding:0;margin:0;\"\x3e\n     \x3cspan style=\"font-size:0.7em;font-weight:bold;\"\x3e\x3c/html\x3eWIKIPEDIA \x3chtml\x3e\x3cimg src=\"http://upload.wikimedia.org/wikipedia/commons/7/78/Wikipedia-logo-small.png\" alt=\"\"\x3e\x3c/html\x3e FOREVER\x3chtml\x3e\x3c/span\x3e\n     \x3cspan class=\"collapsed-text\"\x3e\x3c/html\x3eOur shared knowledge. Our shared treasure.\x3chtml\x3e \x3ca href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia/en?utm_source=2009_Notice1_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\x3c/html\x3eHelp us protect it.\x3chtml\x3e\x3c/a\x3e\x3c/span\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e", "\x3cstyle type=\"text/css\"\x3e\n/* Styles for Notices */\n.notice-all a {\n text-decoration: none;\n}\n.notice-all a:hover {\n text-decoration: underline;\n}\n.notice-all a:hover table tr td #no-link-underline {\n text-decoration: none;\n}\n.notice-all a table {\n text-decoration: none;\n color: #6e98c2;\n}\n.notice-all a:hover table tr td {\n text-decoration: underline;\n}\n.notice-all a:hover table tr td #use-underline {\n text-decoration: underline;\n}\n.notice-all a:hover #no-link-underline {\n text-decoration: none;\n}\n.text-one-line {\n font-size: 3.08em;\n font-weight: bold;\n}\ndiv.grayBorder {\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n font-family: helvetica, impact, sans-serif;\n overflow: hidden;\n}\n.nobr {\n white-space: nowrap;\n}\nimg.notice-all {\n border-style: none;\n}\n#center-logo\n{\n padding: 0 20px;\n background-color: #fbfbfb;\n margin-bottom: 10px;\n}\n.notice-wrapper {\n position: relative;\n width: 100%;\n height: 100px;\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n font-family: helvetica, impact, sans-serif;\n overflow: hidden;\n}\n.toggle-box {\n float: right;\n font-size: 0.6em;\n}\n.blue-text {\n font-weight: bold;\n font-family: helvetica, impact, sans-serif;\n background-color: #fbfbfb;\n color: #6e98c2;\n text-align: left;\n margin:auto;\n width:100%;\n}\n/* Notice 2 and up */\n.notice-collapsed-wrapper {\n position: relative;\n border: 1px solid #bbb;\n background-color: #fbfbfb;\n padding: 1px 20px;\n font-family: helvetica, impact, sans-serif;\n color: #6e98c2;\n}\n.notice-collapsed-wrapper img {\n padding: 0 5px;\n margin-bottom: -1px;\n}\n.collapsed-text {\n margin-left: 10px;\n font-size: 0.7em;\n font-weight: normal;\n font-family: helvetica, impact, sans-serif;\n color: #333;\n}\n#small-links {\n float: right;\n margin-top: -25px;\n margin-right: 30px;\n font-family: helvetica, impact, sans-serif;\n font-size: 0.7em;\n}\n#small-links2\n{\n position: absolute;\n bottom: 16px; right: 32px;\n font-size: 0.7em;\n}\n.quote-text { }\n.quote-data {\n font-size: .8em;\n color: black;\n font-weight: normal;\n}\n.center1 {\n font-weight: bold;\n color: #6e98c2;\n vertical-align: middle;\n}\n.meter-text {\n color: black;\n}\n.lines-1 {\n font-size: 2.25em;\n}\n.lines-2 {\n font-size: 1.85em;\n}\n.lines-3 {\n font-size: 1.52em;\n} \n\x3c/style\x3e\n\x3cdiv class=\"notice-all siteNoticeBig notice-wrapper\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice();return false\"\x3eHide\x3c/a\x3e] \n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia2/en?utm_source=2009_Notice1_Wikipedia2\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable class=\"blue-text\" style=\"height:100px;font-size:3.08em;\"\x3e\n   \x3ctr\x3e\n    \x3ctd valign=\"middle\" align=\"center\"\x3e\n     \x3cdiv id=\"forever\"\x3eWIKIPEDIA \x3cimg id=\"center-logo\" src=\"http://upload.wikimedia.org/wikipedia/commons/b/b9/63px-Wikipedia-logo.png\" alt=\"\" border=\"0\"\x3e FOREVER\x3c/div\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e\n\x3cdiv class=\"notice-all siteNoticeSmallAnon notice-collapsed-wrapper\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice()\"\x3eShow\x3c/a\x3e]\n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia2/en?utm_source=2009_Notice1_Wikipedia2_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable cellpadding=\"0\" cellspacing=\"0\" height=\"100%\" valign=\"middle\"\x3e\n   \x3ctr\x3e\n    \x3ctd  valign=\"middle\" align=\"center\" style=\"padding:0;margin:0;\"\x3e\n     \x3cspan style=\"font-size:0.7em;font-weight: bold;\"\x3e\x3c/html\x3eWIKIPEDIA \x3chtml\x3e\x3cimg src=\"http://upload.wikimedia.org/wikipedia/commons/7/78/Wikipedia-logo-small.png\" alt=\"\"\x3e\x3c/html\x3e FOREVER\x3chtml\x3e\x3c/span\x3e\n     \x3cspan class=\"collapsed-text\"\x3e\x3c/html\x3eOur shared knowledge. Our shared treasure.\x3chtml\x3e \x3ca href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia2/en?utm_source=2009_Notice1_Wikipedia2_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\x3c/html\x3eHelp us protect it.\x3chtml\x3e\x3c/a\x3e\x3c/span\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e\n\x3cdiv class=\"notice-all siteNoticeSmallUser\"\x3e\n \x3cdiv class=\"toggle-box\"\x3e\n  [\x3ca href=\"#\" onclick=\"toggleNotice()\"\x3eShow\x3c/a\x3e]\n \x3c/div\x3e\n \x3ca style=\"display:block;margin:0;padding:0;\" href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia2/en?utm_source=2009_Notice1_Wikipedia2_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\n  \x3ctable cellpadding=\"0\" cellspacing=\"0\" height=\"100%\" valign=\"middle\"\x3e\n   \x3ctr\x3e\n    \x3ctd  valign=\"middle\" align=\"center\" style=\"padding:0;margin:0;\"\x3e\n     \x3cspan style=\"font-size:0.7em;font-weight:bold;\"\x3e\x3c/html\x3eWIKIPEDIA \x3chtml\x3e\x3cimg src=\"http://upload.wikimedia.org/wikipedia/commons/7/78/Wikipedia-logo-small.png\" alt=\"\"\x3e\x3c/html\x3e FOREVER\x3chtml\x3e\x3c/span\x3e\n     \x3cspan class=\"collapsed-text\"\x3e\x3c/html\x3eOur shared knowledge. Our shared treasure.\x3chtml\x3e \x3ca href=\"http://wikimediafoundation.org/wiki/Support_Wikipedia2/en?utm_source=2009_Notice1_Wikipedia2_collapsed\x26utm_medium=sitenotice\x26utm_campaign=fundraiser2009\"\x3e\x3c/html\x3eHelp us protect it.\x3chtml\x3e\x3c/a\x3e\x3c/span\x3e\n    \x3c/td\x3e\n   \x3c/tr\x3e\n  \x3c/table\x3e\n \x3c/a\x3e\n\x3c/div\x3e"],[50, 50]);
if (wgNotice != '')
wgNotice='<div id="centralNotice" class="' + (wgNoticeToggleState ? 'expanded' : 'collapsed') + ' ' + (wgUserName ? 'usernotice' : 'anonnotice' ) + '">' + wgNotice+'</div>';
